{ config, pkgs, lib, ... }:

{
  imports = [
    <nixpkgs/nixos/modules/profiles/minimal.nix>
    ../../../../lib/hq.nix
    ../../../../lib/yggdrasil-service.nix
  ];

  networking.interfaces.eth0 = {
    ipv6.addresses = [
      { address = "310:5217:69c0:9afc::1"; prefixLength = 64; }
    ];
  };

  services.yggdrasil = {
    openMulticastPort = true;
    configFile = "/var/lib/yggdrasil/keys";
    config.Peers = [
      "tcp://[2a03:3b40:fe:ab::1]:46370" # Praha
      "tcp://ygg.thingylabs.io:443" # Nürnberg
      "tcp://176.223.130.120:22632" # Wrocław
      "tcp://[2a05:9403::8b]:7743" # Praha
    ];
  };

}
